<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~ #%L
  ~ chvote-fx-common
  ~ %%
  ~ Copyright (C) 2016 - 2018 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<?import ch.ge.ve.javafx.gui.control.MessageContainer?>
<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXTextField?>
<?import com.jfoenix.validation.RequiredFieldValidator?>
<?import de.jensd.fx.glyphs.materialicons.MaterialIconView?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>
<fx:root type="javafx.scene.layout.VBox" xmlns:fx="http://javafx.com/fxml" alignment="TOP_CENTER" spacing="20">
    <MessageContainer fx:id="errorMessageContainer" alignment="CENTER_LEFT" messageType="ERROR" styleClass="in-step"/>

    <VBox spacing="10">
        <Label styleClass="h4,mandatory" text="%public-key-input-group.add-destination-folder"/>
        <HBox alignment="CENTER_LEFT" spacing="5">
            <JFXButton onMousePressed="#selectDestinationFolder" text="%public-key-input-group.browse"
                       buttonType="FLAT"
                       styleClass="button-primary">
                <graphic>
                    <MaterialIconView glyphName="ATTACH_FILE" styleClass="icon-primary"/>
                </graphic>
            </JFXButton>
            <JFXTextField editable="false" fx:id="destinationPathTextField" HBox.hgrow="ALWAYS">
                <validators>
                    <RequiredFieldValidator message="%error.no-destination-folder"/>
                </validators>
            </JFXTextField>
        </HBox>
    </VBox>
</fx:root>
